Subject: [Autoconf] Re: [manet] Default route (internet route) for global connectivity

From: Christophe Jelger <[email-masked]>
Date: Mon, 27 Feb 2006 11:37:26 +0100

Hi Ryuji/all,

See my comments inline below.

regards,
Christophe

Ryuji Wakikawa wrote:
> Hello Kim
> 
> On 2006/02/27, at 17:21, Youngmin Kim wrote:
> 
>> Hello.
>> I have had a question while I was reading draft-wakikawa-manet- 
>> globalv6-04.txt.
>> Manet node configures a routable IP address from the prefix of the
>> gateway and inserts the gateway address as an internet route. Next hop
>> for default route is the internet-gateway address.
>> As I know, next hop is one hop distance neighbor. Internet-gateway may
>> not be one hop neighbor from manet node. How can the internet-gateway
>> be set to next hop? You use a tunnel?
> 
> 
> The route configuration is different on each OS.
> I want to leave this as implementation specific.
> 
> What we wrote in the draft is that MN setup  both a default route and  a 
> host route to IGW.
> 1. :: -> IGW
> 2. IGW -> next hop
> Then, a MN can recursively lookup the routing table.
> 
> I think how to treat a route inside OS is beyond specification.

Well we've already discussed this a while ago and I tend to disagree 
here for a few reasons:

1. OS don't do dual-lookups, and having a solution that requires 
dual-lookups (or recursive as you call it) introduces a lot of hassles: 
changing kernel-code, patching, re-compiling, which slows down use and 
deployment (e.g. MIPv6).

2. Whether you use a tunnel (or a routing header) or rely on "routing 
coherence" imposes different requirements. The first solution is the 
easiest because you explicitly say via which gateway you want your 
packets to go through. The second solution requires a logical 
organization (e.g. prefix continuity) and it's more complex to setup but 
you don't need to introduce any forwarding indirection (which usually 
means changing or "hooking into" the kernel in order to setup the tunnel).

I think that leaving such details as "implementation specific" is risky 
because these details are exactly what makes MANETs different from 
traditional LANs. Especially the point 2. (above) is tricky because two 
implementations may end up using different schemes and may not 
interoperate. For having implemented various flavors of autoconf, I know 
it's not a simple issue that should be left aside. Other issues also 
arise: for example, once you have a default route how would your 
reactive protocol behave ? Always try to discover first and use the 
gateway if it fails ?

These kind of issues are exactly what we need to clarify.

Regards,
Christophe

> 
> regards
> ryuji
> 
>> Thank you.
>>
>> _______________________________________________
>> manet mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/manet
>>
> 
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf